Subject: bug#12514: 24.2; message-make-date returns a localized date after X restart

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Dec 2012 18:36:15 +0100

Marco Pessotto <[email-masked]> writes:

> emacsclient -e '(let ((system-time-locale "C")) (format-time-string "%a,
> %d %b %Y %T %z"))'
>
> After the apparently useless evaluation, everything is back to normal.
>>>From what I can see, the bug is deep inside the C code or related
> libraries shipped by Debian, as the Lisp looks quite fine (I did some
> source-diving myself).

Oh, it's that bug.  There was some talk about fixing this a few days
ago, but I don't recall what the result was.

Anybody?

Anyway, it's an Emacs bug, not a Gnus bug, so I'm reassigning back to
Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Lars Magne Ingebrigtsen